name: linuxserver-unifi-network-application
services:
  app:
    image: linuxserver/unifi-network-application:10.1.85
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      MONGO_USER: ''
      MONGO_PASS: ''
      MONGO_HOST: ''
      MONGO_PORT: ''
      MONGO_DBNAME: ''
      MONGO_AUTHSOURCE: ''
      MEM_LIMIT: ''
      MEM_STARTUP: ''
      MONGO_TLS: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: MONGO_USER
          description:
            en_us: Mongodb Username. Only evaluated on first run. Special characters must be url encoded.
        - container: MONGO_PASS
          description:
            en_us: Mongodb Password. Only evaluated on first run. Special characters must be url encoded.
        - container: MONGO_HOST
          description:
            en_us: Mongodb Hostname. Only evaluated on first run.
        - container: MONGO_PORT
          description:
            en_us: Mongodb Port. Only evaluated on first run.
        - container: MONGO_DBNAME
          description:
            en_us: Mongodb Database Name (stats DB is automatically suffixed with _stat). Only evaluated on first run.
        - container: MONGO_AUTHSOURCE
          description:
            en_us: Mongodb authSource. For Atlas set to admin. Only evaluated on first run.
        - container: MEM_LIMIT
          description:
            en_us: Optionally change the Java memory limit (in Megabytes). Set to default to reset to default [OPTIONAL]
        - container: MEM_STARTUP
          description:
            en_us: Optionally change the Java initial/minimum memory (in Megabytes). Set to default to reset to default [OPTIONAL]
        - container: MONGO_TLS
          description:
            en_us: Mongodb enable TLS. Only evaluated on first run. [OPTIONAL]
    ports:
      - target: 8443
        published: 8443
        protocol: tcp
      - target: 3478
        published: 3478
        protocol: udp
      - target: 10001
        published: 10001
        protocol: udp
      - target: 8080
        published: 8080
        protocol: tcp
      - target: 1900
        published: 1900
        protocol: udp
      - target: 8843
        published: 8843
        protocol: tcp
      - target: 8880
        published: 8880
        protocol: tcp
      - target: 6789
        published: 6789
        protocol: tcp
      - target: 5514
        published: 5514
        protocol: udp
    volumes:
      - type: bind
        source: /srv/lsio/unifi-network-application/config
        target: /config
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: The Unifi-network-application software is a powerful, enterprise wireless software engine ideal for high-density client deployments requiring low latency and high uptime performance.
  tagline:
    en_us: The Unifi-network-application software is a powerful, enterprise wireless software engine ideal for high-density client deployments requiring low latency and high uptime performance.
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/unifi-banner.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/unifi-banner.png
  title:
    en_us: Unifi network-application
  category: LinuxServer.io
  port_map: '8080'
